## NautilusColumn NautilusColumn — List view column descriptor object |

## Functions

NautilusColumn * | nautilus_column_new ()

## Types and Values

struct | NautilusColumn

## Includes

    #include <libnautilus-extension/nautilus-column.h>

## Description

NautilusColumn is an object that describes a column in the file manager list view. Extensions can provide NautilusColumn by registering a NautilusColumnProvider and returning them from `nautilus_column_provider_get_columns()`, which will be called by the main application when creating a view.

## Functions

### nautilus_column_new ()

    NautilusColumn *
    nautilus_column_new (const char *name,
                         const char *attribute,
                         const char *label,
                         const char *description);

Creates a new column

#### Parameters

name | identifier of the column |
attribute | the file attribute to be displayed in the column |
label | the user-visible label for the column |
description | a user-visible description of the column |

#### Returns

a newly created NautilusColumn

## Types and Values

### struct NautilusColumn

    struct NautilusColumn {
    	GObject parent;

    	NautilusColumnDetails *details;
    };